package cn.iocoder.yudao.module.order.convert.orderLocation;

import java.util.*;
import cn.iocoder.yudao.framework.common.pojo.PageResult;
import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;
import cn.iocoder.yudao.module.order.vo.orderLocation.*;
import cn.iocoder.yudao.module.order.dal.dataobject.orderLocation.OrderLocationDO;

/**
 * 订单仓位 Convert
 * @author 系统管理员
 */
@Mapper
public interface OrderLocationConvert {
    /*****转换MapStruct*****/
    OrderLocationConvert INSTANCE = Mappers.getMapper(OrderLocationConvert.class);

    /***
     * 创建VO转实体
     * @param bean
     * @return
     */
    OrderLocationDO convert(OrderLocationCreateReqVO bean);

    /***
     * 修改VO转实体
     * @param bean
     * @return
     */
    OrderLocationDO convert(OrderLocationUpdateReqVO bean);

    /***
     * 实体转返回VO
     * @param bean
     * @return
    */
    OrderLocationBackVO convert(OrderLocationDO bean);

    /***
     * 实体转返回VO
     * @param bean
     * @return
     */
    OrderLocationCreateReqVO convert1(OrderLocationDO bean);

    /***
     * 实体列表转返回VO列表
     * @param list
     * @return
     */
    List<OrderLocationBackVO> convertList(List<OrderLocationDO> list);

    /***
     * 实体分页转返回分页
     * @param page
     * @return
     */
    PageResult<OrderLocationBackVO> convertPage(PageResult<OrderLocationDO> page);

    /***
     * 实体列表转创建VO列表
     * @param list
     * @return
     */
    List<OrderLocationCreateReqVO> convertList1(List<OrderLocationDO> list);
}
